#main-header {
    z-index: 10;
}

/* popup articles */
.popup-article-block {
    display: flex;
    flex-wrap: wrap;
    gap: 3.09vw;
    position: relative;
    width: 100%;
    /* margin-top: calc(min(4.7vw, 48px));
    margin-bottom: calc(min(9vw, 80px));*/
    justify-content: flex-start;
}
.popup-article-block .read-more-button.wp-block-button__link {
    margin-top: calc(min(1.7vw, 29px));
    padding: calc(min(0.6vw, 10px)) calc(min(1.15vw, 20px));
    background-color: #2f2483;
}
.popup-article-block .post {
    flex-basis: calc(100% / 3 - 6.2vw / 3);
    max-width: calc(100% / 3 - 6.2vw / 3);
    background-color: #fff;
    text-decoration: none;
    color: #000;
    margin-top: 5.5%;
    transition: all 0.2s;
}
.popup-article-block .thumbnail-image {
    cursor: pointer;
}
.popup-article-block .image-container {
    margin-bottom: 29px;
}
.popup-article-block .image-container img {
    min-width: 100%;
    max-width: 100%;
    height: auto;
    max-height: 202px;
    object-fit: cover;
}
.popup-article-block .open-popup {
    cursor: pointer;
}
.popup-article-block .content h3 {
    font-size: 0.875rem;
    line-height: 1.2em;
    font-weight: 700;
    color: #2F2483;
}
.popup-article-block .content .post-meta {
    color: #ffb600;
    margin-bottom: 6px;
}

.popup-article-block .content .post-title {
    margin-top: 0;
}
.popup-article-block .content .excerpt {
    max-height: 7.3rem;
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 4;
    line-clamp: 4;
    font-size: 0.75rem;
}

.popup {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(238,247,248,0.77);
}
.popup .popup-container {
    background-color: #fff;
    width: calc(min(57vw, 984px));
    border-radius: calc(min(0.6vw, 10px));
    padding: calc(min(4.4vw, 76px)) calc(min(3.9vw, 67px));
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.popup .popup-container .corner.close-popup {
    position: absolute;
    top: calc(min(1.3vw, 22px));
    right: calc(min(1.5vw, 26px));
    color: #2f2483;
    font-size: calc(min(2.3vw, 40px));
    line-height: 0.7;
    cursor: pointer;
}
.popup .popup-container .popup-content {
    max-height: 75vh;
    overflow-y: scroll;
}
.popup .popup-container .thumbnail-image {
    width: 100%;
    padding-top: 47%;
    margin-bottom: calc(min(2vw, 35px));
    cursor: default;
    position: relative;
}
.popup .popup-container .thumbnail-image img {
    border-radius: 0;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    object-fit: cover;
}
.popup .popup-container h2,
.popup .popup-container h3 {
    color: #2f2483;
}
.popup .popup-container .date,
.popup .popup-container .toteutustapa {
    border-bottom: 1px solid #2f2483;
    padding-bottom: calc(min(1.3vw, 22px));
    margin-bottom: calc(min(2.14vw, 37px));
}
.popup .popup-container h3.to-whom,
.popup .popup-container h3.price {
    margin-bottom: calc(min(0.5vw, 9px));
}
.popup .popup-container p.to-whom,
.popup .popup-container p.price {
    margin-top: 0;
}
.popup .popup-container .sign-up {
    background-color: #2f2483;
    margin-top: calc(min(1.6vw, 28px));
    margin-bottom: calc(min(3.5vw, 60px));
    padding: calc(min(0.9vw, 16px)) calc(min(1.15vw, 20px));
    text-transform: uppercase;
    color: #fff;
    width: fit-content;
    cursor: pointer;
}
.popup .popup-container .contact {
    display: flex;
    gap: calc(min(2.4vw, 41px));
}
.popup .popup-container .contact .contact-image {
    width: calc(min(13.8vw, 238px));
    height: calc(min(13.8vw, 238px));
    background-color: #2f2483;
}
.popup .popup-container .contact .contact-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.popup .popup-container .contact a {
    color: #000;
    font-weight: 400;
}
.popup .popup-container .bottom.close-popup {
    margin-top: calc(min(5.7vw, 98px));
    color: #2f2483;
    cursor: pointer;
}
.popup .popup-container .bottom.close-popup .x-mark {
    font-size: calc(min(2.3vw, 40px));
    line-height: 0.7;
    border: 1px solid #2f2483;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    width: calc(min(3.9vw, 67px));
    height: calc(min(3.9vw, 67px));
    margin: 0 auto calc(min(1vw, 17px));
}
.popup .popup-container .bottom.close-popup .text {
    text-align: center;
    font-weight: 700;
}
.popup-open .et_pb_column,
.popup-open .et_builder_inner_content {
    z-index: unset;
}

table {
    margin-top: 25px;
    margin-bottom: 25px;
}
table td,
table th {
    border:1px solid #2f2483;
    padding: 0.5rem;
}

@media screen and (max-width: 767px) {
    .popup .popup-container {
        width: 80%;
    }
    .popup-article-block .post {
        flex-basis: calc(100% / 2 - 3.1vw);
        max-width: calc(100% / 2 - 3.1vw);
    }
}

@media screen and (max-width: 500px) {
    .popup-article-block {
        gap: 9vw;
    }
    .popup-article-block .post {
        flex-basis: 100%;
        max-width: 100%;
    }
}